-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

===========================================================================
                         AUSCERT Security Bulletin

                               ASB-2021.0146
             Oracle Retail Applications Critical Patch Update
                               21 July 2021

===========================================================================

        AusCERT Security Bulletin Summary
        ---------------------------------

Product:          Oracle Retail Back Office
                  Oracle Retail Central Office
                  Oracle Retail Customer Engagement
                  Oracle Retail Customer Management and Segmentation Foundation
                  Oracle Retail Financial Integration
                  Oracle Retail Integration Bus
                  Oracle Retail Merchandising System
                  Oracle Retail Order Broker
                  Oracle Retail Order Management System Cloud Service
                  Oracle Retail Point-of-Service
                  Oracle Retail Price Management
                  Oracle Retail Returns Management
                  Oracle Retail Service Backbone
                  Oracle Retail Xstore Point of Service
Operating System: Windows
                  UNIX variants (UNIX, Linux, OSX)
Impact/Access:    Execute Arbitrary Code/Commands -- Remote/Unauthenticated
                  Modify Arbitrary Files          -- Remote/Unauthenticated
                  Denial of Service               -- Remote/Unauthenticated
                  Read-only Data Access           -- Remote/Unauthenticated
                  Access Confidential Data        -- Existing Account      
Resolution:       Patch/Upgrade
CVE Names:        CVE-2021-27807 CVE-2021-22118 CVE-2021-21345
                  CVE-2020-25649 CVE-2020-25638 CVE-2020-17527
                  CVE-2020-11987 CVE-2020-11979 CVE-2020-8277
                  CVE-2020-5421 CVE-2020-5398 CVE-2019-10086
                  CVE-2019-0219  
Reference:        ASB-2021.0094
                  ASB-2021.0083
                  ASB-2021.0075

OVERVIEW

        Multiple vulnerabilities have been identified in :
         o Oracle Retail Back Office, version 14.1
         o Oracle Retail Central Office, version 14.1
         o Oracle Retail Customer Engagement, versions 16.0-19.0
         o Oracle Retail Customer Management and Segmentation Foundation,
           versions 16.0-19.0
         o Oracle Retail Financial Integration, versions 14.1.3.2,
           15.0.3.1, 16.0.3.0
         o Oracle Retail Integration Bus, versions 14.1.3.2, 15.0.3.1,
           16.0.3.0
         o Oracle Retail Merchandising System, versions 14.1.3.2,
           15.0.3.1, 16.0.3
         o Oracle Retail Order Broker, versions 15.0, 16.0
         o Oracle Retail Order Management System Cloud Service, version
           19.5
         o Oracle Retail Point-of-Service, version 14.1
         o Oracle Retail Price Management, versions 14.0, 14.1, 15.0, 16.0
         o Oracle Retail Returns Management, version 14.1
         o Oracle Retail Service Backbone, versions 14.1.3.2, 15.0.3.1,
           16.0.3.0
         o Oracle Retail Xstore Point of Service, versions 16.0.6, 17.0.4,
           18.0.3, 19.0.2, 20.0.1
        [1]


IMPACT

        The vendor has provided the following information regarding the
        vulnerabilities:
        
        "This Critical Patch Update contains 23 new security patches for
        Oracle Retail Applications. 15 of these vulnerabilities may be
        remotely exploitable without authentication, i.e., may be exploited
        over a network without requiring user credentials." [1]
        
        CVE-2021-21345
          9.9 AV:N/AC:L/PR:L/UI:N/S:C/C:H/I:H/A:H
        Supported versions that are affected are 16.0.6, 17.0.4, 18.0.3 and
        19.0.2. Easily exploitable vulnerability allows low privileged
        attacker with network access via HTTP to compromise Oracle Retail
        Xstore Point of Service. While the vulnerability is in Oracle Retail
        Xstore Point of Service, attacks may significantly impact additional
        products. Successful attacks of this vulnerability can result in
        takeover of Oracle Retail Xstore Point of Service.
         Affects:
         o Oracle Retail Xstore Point of Service 16.0.6, 17.0.4, 18.0.3,
           19.0.2
        
        CVE-2019-0219
          9.8 AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H
        Supported versions that are affected are 16.0.6, 17.0.4, 18.0.3 and
        19.0.2. Easily exploitable vulnerability allows unauthenticated
        attacker with network access via HTTP to compromise Oracle Retail
        Xstore Point of Service. Successful attacks of this vulnerability can
        result in takeover of Oracle Retail Xstore Point of Service.
         Affects:
         o Oracle Retail Xstore Point of Service 16.0.6, 17.0.4, 18.0.3,
           19.0.2
                
        CVE-2020-5421
          6.5 AV:N/AC:H/PR:L/UI:R/S:C/C:L/I:H/A:N
        Supported versions that are affected are 16.0-19.0. Difficult to
        exploit vulnerability allows low privileged attacker with network
        access via HTTP to compromise Oracle Retail Customer Engagement.
        Successful attacks require human interaction from a person other than
        the attacker and while the vulnerability is in Oracle Retail Customer
        Engagement, attacks may significantly impact additional products.
        Successful attacks of this vulnerability can result in unauthorized
        creation, deletion or modification access to critical data or all
        Oracle Retail Customer Engagement accessible data as well as
        unauthorized read access to a subset of Oracle Retail Customer
        Engagement accessible data.
         Affects:
         o Oracle Retail Customer Management and Segmentation Foundation
           16.0-19.0
         o Oracle Retail Merchandising System 16.0.3
         o Oracle Retail Customer Engagement 16.0-19.0
                
        CVE-2021-22118
          7.8 AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H
        Supported versions that are affected are 16.0.3.0, 15.0.3.1 and
        14.1.3.2. Easily exploitable vulnerability allows low privileged
        attacker with logon to the infrastructure where Oracle Retail
        Financial Integration executes to compromise Oracle Retail Financial
        Integration. Successful attacks of this vulnerability can result in
        takeover of Oracle Retail Financial Integration.
         Affects:
         o Oracle Retail Financial Integration 16.0.3.0, 15.0.3.1,
           14.1.3.2
         o Oracle Retail Integration Bus 16.0.3.0, 15.0.3.1, 14.1.3.2
         o Oracle Retail Order Broker 16.0
                
        CVE-2020-5398
          7.5 AV:N/AC:H/PR:N/UI:R/S:U/C:H/I:H/A:H
        The supported version that is affected is 14.1. Difficult to exploit
        vulnerability allows unauthenticated attacker with network access via
        HTTP to compromise Oracle Retail Back Office. Successful attacks
        require human interaction from a person other than the attacker.
        Successful attacks of this vulnerability can result in takeover of
        Oracle Retail Back Office.
         Affects:
         o Oracle Retail Back Office 14.1
         o Oracle Retail Central Office 14.1
         o Oracle Retail Point-of-Service 14.1
         o Oracle Retail Returns Management 14.1
        
        CVE-2020-11979
          7.5 AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:H/A:N
        The supported version that is affected is 14.1.3.2. Easily
        exploitable vulnerability allows unauthenticated attacker with
        network access via HTTP to compromise Oracle Retail Merchandising
        System. Successful attacks of this vulnerability can result in
        unauthorized creation, deletion or modification access to critical
        data or all Oracle Retail Merchandising System accessible data.
         Affects:
         o Oracle Retail Merchandising System 14.1.3.2
               
        CVE-2020-25649
          7.5 AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:H/A:N
        Supported versions that are affected are 16.0.3.0, 15.0.3.1 and
        14.1.3.2. Easily exploitable vulnerability allows unauthenticated
        attacker with network access via HTTP to compromise Oracle Retail
        Service Backbone. Successful attacks of this vulnerability can result
        in unauthorized creation, deletion or modification access to critical
        data or all Oracle Retail Service Backbone accessible data.
         Affects:
         o Oracle Retail Service Backbone 16.0.3.0, 15.0.3.1, 14.1.3.2
         o Oracle Retail Xstore Point of Service 16.0.6, 17.0.4, 18.0.3,
           19.0.2
        
        CVE-2020-17527
          7.5 AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N
        Supported versions that are affected are 16.0.6, 17.0.4, 18.0.3,
        19.0.2 and 20.0.1. Easily exploitable vulnerability allows
        unauthenticated attacker with network access via HTTP to compromise
        Oracle Retail Xstore Point of Service. Successful attacks of this
        vulnerability can result in unauthorized access to critical data or
        complete access to all Oracle Retail Xstore Point of Service
        accessible data.
         Affects:
         o Oracle Retail Xstore Point of Service 16.0.6, 17.0.4, 18.0.3,
           19.0.2, 20.0.1
        
        CVE-2020-8277
          7.5 AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H
        Supported versions that are affected are 16.0.6, 17.0.4, 18.0.3,
        19.0.2 and 20.0.1. Easily exploitable vulnerability allows
        unauthenticated attacker with network access via HTTP to compromise
        Oracle Retail Xstore Point of Service. Successful attacks of this
        vulnerability can result in unauthorized ability to cause a hang or
        frequently repeatable crash (complete DOS) of Oracle Retail Xstore
        Point of Service.
         Affects:
         o Oracle Retail Xstore Point of Service 16.0.6, 17.0.4, 18.0.3,
           19.0.2, 20.0.1
        
        CVE-2020-25638
          7.4 AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:N
        The supported version that is affected is 19.0. Difficult to exploit
        vulnerability allows unauthenticated attacker with network access via
        HTTP to compromise Oracle Retail Customer Management and Segmentation
        Foundation. Successful attacks of this vulnerability can result in
        unauthorized creation, deletion or modification access to critical
        data or all Oracle Retail Customer Management and Segmentation
        Foundation accessible data as well as unauthorized access to critical
        data or complete access to all Oracle Retail Customer Management and
        Segmentation Foundation accessible data.
         Affects:
         o Oracle Retail Customer Management and Segmentation Foundation
           19.0
                
        CVE-2019-10086
          7.3 AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:L
        The supported version that is affected is 15.0.3.1. Easily
        exploitable vulnerability allows unauthenticated attacker with
        network access via HTTP to compromise Oracle Retail Merchandising
        System. Successful attacks of this vulnerability can result in
        unauthorized update, insert or delete access to some of Oracle Retail
        Merchandising System accessible data as well as unauthorized read
        access to a subset of Oracle Retail Merchandising System accessible
        data and unauthorized ability to cause a partial denial of service
        (partial DOS) of Oracle Retail Merchandising System.
         Affects:
         o Oracle Retail Merchandising System 15.0.3.1
         o Oracle Retail Price Management 14.0, 14.1, 15.0, 16.0
        
        CVE-2021-27807
          6.5 AV:N/AC:H/PR:L/UI:R/S:C/C:L/I:H/A:N
        The supported version that is affected is 19.0. Difficult to exploit
        vulnerability allows low privileged attacker with network access via
        HTTP to compromise Oracle Retail Customer Management and Segmentation
        Foundation. Successful attacks require human interaction from a
        person other than the attacker and while the vulnerability is in
        Oracle Retail Customer Management and Segmentation Foundation,
        attacks may significantly impact additional products. Successful
        attacks of this vulnerability can result in unauthorized creation,
        deletion or modification access to critical data or all Oracle Retail
        Customer Management and Segmentation Foundation accessible data as
        well as unauthorized read access to a subset of Oracle Retail
        Customer Management and Segmentation Foundation accessible data.
         Affects:
         o Oracle Retail Customer Management and Segmentation Foundation
           19.0
               
        CVE-2020-11987
          5.3 AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:L/A:N
        Supported versions that are affected are 15.0 and 16.0. Easily
        exploitable vulnerability allows unauthenticated attacker with
        network access via HTTP to compromise Oracle Retail Order Broker.
        Successful attacks of this vulnerability can result in unauthorized
        update, insert or delete access to some of Oracle Retail Order Broker
        accessible data.
         Affects:
         o Oracle Retail Order Broker 15.0, 16.0
         o Oracle Retail Order Management System Cloud Service 19.5


MITIGATION

        Oracle states:
        
        "Due to the threat posed by a successful attack, Oracle strongly
        recommends that customers apply CPU fixes as soon as possible. Until
        you apply the CPU fixes, it may be possible to reduce the risk of
        successful attack by blocking network protocols required by an
        attack. For attacks that require certain privileges or access to
        certain packages, removing the privileges or the ability to access
        the packages from users that do not need the privileges may help
        reduce the risk of successful attack. Both approaches may break
        application functionality, so Oracle strongly recommends that
        customers test changes on non-production systems. Neither approach
        should be considered a long-term solution as neither corrects the
        underlying problem." [1]


REFERENCES

        [1] Oracle Critical Patch Update Advisory - July 2021
            https://www.oracle.com/security-alerts/cpujul2021.html

        [2] Text Form of Oracle Critical Patch Update - July 2021 Risk Matrices
            https://www.oracle.com/security-alerts/cpujul2021verbose.html

AusCERT has made every effort to ensure that the information contained
in this document is accurate.  However, the decision to use the information
described is the responsibility of each user or organisation. The decision to
follow or act on information or advice contained in this security bulletin is
the responsibility of each user or organisation, and should be considered in
accordance with your organisation's site policies and procedures. AusCERT
takes no responsibility for consequences which may arise from following or
acting on information or advice contained in this security bulletin.

===========================================================================
Australian Computer Emergency Response Team
The University of Queensland
Brisbane
Qld 4072

Internet Email: auscert@auscert.org.au
Facsimile:      (07) 3365 7031
Telephone:      (07) 3365 4417 (International: +61 7 3365 4417)
                AusCERT personnel answer during Queensland business hours 
                which are GMT+10:00 (AEST).
                On call after hours for member emergencies only.
===========================================================================
-----BEGIN PGP SIGNATURE-----
Comment: http://www.auscert.org.au/render.html?it=1967

iQIVAwUBYPd+YuNLKJtyKPYoAQhh/w/9EILakgOFKGW6lJ81iNBAizt0/obrXmHb
o8WJFIOqxVuuf4bRMumXBdraetBbFXzLSote2tJ5vmNftFl4CD80NuRyupWGMS8s
jhMkI6qS1dMJS3sydHqD844ZKqVQOHx5aF3Ok1bT7nJ9Z1C3SNnlk4hcl+dVj4s6
6aFa9YNcOS2dgDgU1SJFLHOdWdSh3L7X4O0a5q+yPq3/rtP3RL2bCZJP3V11nAr3
NemdsO1e0QBtf09klMxPCA98JtijQ0iGjMuYFUhMoXDJIp2MItVC6eJA34Oj9WFW
xepE2Q3zph19kFMni8TQvJrA0gXZMsbAprtGGetxh8ZMYDAQqtmkUIXgeWs69aU5
tpPJZXgzHBKuFB6yy4K8TwkhSwkp0164oRRx6kbGWtcy4Dg/Qk/trhoiYgU+fY71
bMqzd7YNZv3uvf+8Mze5EGuQV9sYv+8/gAfwPlojZ4DIccRMx/qQSMxVQTSf0OZ5
CbNXSEb4+ejk0h0nSZMq41ztshF8htwqvgBejxKDmxrcvrY0zJIEJIN4jRlqcJj0
SDBcZx+FpoKMJFeVWuERvcaLZgOtk3xNYbAENtCUSdtdPEmC+gJnsCZjxsdq1K2N
8iC1mEdI8H1CwmHrhEaLWPNr+CefWh5kONpqJL558MDS8MkySrPc+3mKtXm13ByX
amrrzWmxtcs=
=SmOZ
-----END PGP SIGNATURE-----